package com.biganto.visual.roompark.presentation.screen.estate

import com.biganto.visual.roompark.conductor.BigantoBaseViewState
import com.biganto.visual.roompark.domain.model.EstateModel
import com.biganto.visual.roompark.util.monades.ExceptionString

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


sealed class EstateScreenViewState : BigantoBaseViewState() {
    class Idle : EstateScreenViewState()
    class FavoriteEstatesLoaded(val items: List<EstateModel>) : EstateScreenViewState()
    class SomeError(val exception: ExceptionString) : EstateScreenViewState()
}